- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Panes

## Macros
#define | elm_obj_panes_content_left_size_get(ret) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_LEFT_SIZE_GET), EO_TYPECHECK(double *, ret)
#define | elm_obj_panes_content_left_size_set(size) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_LEFT_SIZE_SET), EO_TYPECHECK(double, size)
#define | elm_obj_panes_content_right_size_get(ret) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_RIGHT_SIZE_GET), EO_TYPECHECK(double *, ret)
#define | elm_obj_panes_content_right_size_set(size) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_RIGHT_SIZE_SET), EO_TYPECHECK(double, size)
#define | elm_obj_panes_horizontal_set(horizontal) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)
#define | elm_obj_panes_horizontal_get(ret) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_panes_fixed_set(fixed) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_FIXED_SET), EO_TYPECHECK(Eina_Bool, fixed)
#define | elm_obj_panes_fixed_get(ret) ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_FIXED_GET), EO_TYPECHECK(Eina_Bool *, ret)

## Functions
Evas_Object * | elm_panes_add (Evas_Object *parent)
| Add a new panes widget to the given parent Elementary (container) object. More...
double | elm_panes_content_left_size_get (const Evas_Object *obj)
| Get the size proportion of panes widget's left side. More...
void | elm_panes_content_left_size_set (Evas_Object *obj, double size)
| Set the size proportion of panes widget's left side. More...
double | elm_panes_content_right_size_get (const Evas_Object *obj)
| Get the size proportion of panes widget's right side. More...
void | elm_panes_content_right_size_set (Evas_Object *obj, double size)
| Set the size proportion of panes widget's right side. More...
void | elm_panes_horizontal_set (Evas_Object *obj, Eina_Bool horizontal)
| Set how to split and dispose each content. More...
Eina_Bool | elm_panes_horizontal_get (const Evas_Object *obj)
| Retrieve the split direction of a given panes widget. More...
void | elm_panes_fixed_set (Evas_Object *obj, Eina_Bool fixed)
| Set whether the left and right panes can be resized by user interaction. More...
Eina_Bool | elm_panes_fixed_get (const Evas_Object *obj)
| Retrieve the resize mode for the panes of a given panes widget. More...

## Detailed Description

The panes widget adds a draggable bar between two contents. When dragged this bar will resize contents' size.

Panes can be split vertically or horizontally, and contents size proportion can be customized (homogeneous by default).

This widget inherits from the Layout one, so that all the functions acting on it also work for panes objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"press"` - The panes has been pressed (button wasn't released yet).
- `"unpress"` - The panes was released after being pressed.
- `"clicked"` - The panes has been clicked>
- `"clicked,double"` - The panes has been double clicked

Available styles for it:

- `"default"`

Default content parts of the panes widget that you can use are:

- "left" - A leftside content of the panes
- "right" - A rightside content of the panes
- "top" - A top content of the vertical panes
- "bottom" - A bottom content of the vertical panes

If panes are displayed vertically, left content will be displayed on top.

Supported elm_object common APIs.

- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Here is an example on its usage:

- Panes widget example

## Macro Definition Documentation

#define elm_obj_panes_content_left_size_get | ( |  | ret | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_LEFT_SIZE_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get the size proportion of panes widget's left side.

Parameters

  [out] | ret |

See Also
  elm_panes_content_left_size_get

Referenced by elm_panes_content_left_size_get().

#define elm_obj_panes_content_left_size_set | ( |  | size | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_LEFT_SIZE_SET), EO_TYPECHECK(double, size)

Since
  1.8

Set the size proportion of panes widget's left side.

Parameters

  [in] | size |

See Also
  elm_panes_content_left_size_set

Referenced by elm_panes_content_left_size_set().

#define elm_obj_panes_content_right_size_get | ( |  | ret | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_RIGHT_SIZE_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get the size proportion of panes widget's right side.

Parameters

  [out] | ret |

See Also
  elm_panes_content_right_size_get

Referenced by elm_panes_content_right_size_get().

#define elm_obj_panes_content_right_size_set | ( |  | size | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_CONTENT_RIGHT_SIZE_SET), EO_TYPECHECK(double, size)

Since
  1.8

Set the size proportion of panes widget's right side.

Parameters

  [in] | size |

See Also
  elm_panes_content_right_size_set

Referenced by elm_panes_content_right_size_set().

#define elm_obj_panes_fixed_get | ( |  | ret | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_FIXED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Retrieve the resize mode for the panes of a given panes widget.

Parameters

  [out] | ret |

See Also
  elm_panes_fixed_get

Referenced by elm_panes_fixed_get().

#define elm_obj_panes_fixed_set | ( |  | fixed | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_FIXED_SET), EO_TYPECHECK(Eina_Bool, fixed)

Since
  1.8

Set whether the left and right panes can be resized by user interaction.

Parameters

  [in] | fixed |

See Also
  elm_panes_fixed_set

Referenced by elm_panes_fixed_set().

#define elm_obj_panes_horizontal_get | ( |  | ret | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Retrieve the split direction of a given panes widget.

Parameters

  [out] | ret |

See Also
  elm_panes_horizontal_get

Referenced by elm_panes_horizontal_get().

#define elm_obj_panes_horizontal_set | ( |  | horizontal | ) | ELM_OBJ_PANES_ID(ELM_OBJ_PANES_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)

Since
  1.8

Set how to split and dispose each content.

Parameters

  [in] | horizontal |

See Also
  elm_panes_horizontal_set

Referenced by elm_panes_horizontal_set().

## Function Documentation

Evas_Object* elm_panes_add | ( | Evas_Object * | parent | ) |

Add a new panes widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new panes widget handle or `NULL`, on errors.

This function inserts a new panes widget on the canvas.

double elm_panes_content_left_size_get | ( | const Evas_Object * | obj | ) |

Get the size proportion of panes widget's left side.

Parameters

  obj | The panes object.

Returns
  float value between 0.0 and 1.0 representing size proportion of left side.

See Also
  elm_panes_content_left_size_set() for more details.

References elm_obj_panes_content_left_size_get.

void elm_panes_content_left_size_set | ( | Evas_Object * | obj,
|  | double | size
| ) |  |

Set the size proportion of panes widget's left side.

Parameters

  obj | The panes object.
  size | Value between 0.0 and 1.0 representing size proportion of left side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the left content should be displayed over 75% of the panes size, `size` should be passed as `0.75`. This way, right content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

See Also
  elm_panes_content_left_size_get()

References elm_obj_panes_content_left_size_set.

Referenced by elm_panes_content_right_size_set().

double elm_panes_content_right_size_get | ( | const Evas_Object * | obj | ) |

Get the size proportion of panes widget's right side.

Parameters

  obj | The panes object.

Returns
  float value between 0.0 and 1.0 representing size proportion of right side.

See Also
  elm_panes_content_right_size_set() for more details.

References elm_obj_panes_content_right_size_get.

void elm_panes_content_right_size_set | ( | Evas_Object * | obj,
|  | double | size
| ) |  |

Set the size proportion of panes widget's right side.

Parameters

  obj | The panes object.
  size | Value between 0.0 and 1.0 representing size proportion of right side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the right content should be displayed over 75% of the panes size, `size` should be passed as `0.75`. This way, left content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

See Also
  elm_panes_content_right_size_get()

References elm_obj_panes_content_right_size_set, and elm_panes_content_left_size_set().

Eina_Bool elm_panes_fixed_get | ( | const Evas_Object * | obj | ) |

Retrieve the resize mode for the panes of a given panes widget.

Parameters

  obj | The panes object.

Returns
  `EINA_TRUE`, if `obj` is set to be resizable by user interaction.

See Also
  elm_panes_fixed_set() for more details.
  elm_panes_content_left_size_get()
  elm_panes_content_right_size_get()

References elm_obj_panes_fixed_get.

void elm_panes_fixed_set | ( | Evas_Object * | obj,
|  | Eina_Bool | fixed
| ) |  |

Set whether the left and right panes can be resized by user interaction.

Parameters

  obj | The panes object.
  fixed | Use `EINA_TRUE` to fix the left and right panes sizes and make them not to be resized by user interaction. Use `EINA_FALSE` to make them resizable.

By default panes' contents are resizable by user interaction.

See Also
  elm_panes_fixed_get()
  elm_panes_content_left_size_set()
  elm_panes_content_right_size_set()

References elm_obj_panes_fixed_set.

Eina_Bool elm_panes_horizontal_get | ( | const Evas_Object * | obj | ) |

Retrieve the split direction of a given panes widget.

Parameters

  obj | The panes object.

Returns
  `EINA_TRUE`, if `obj` is set to be horizontal, `EINA_FALSE` if it's vertical (and on errors).

See Also
  elm_panes_horizontal_set() for more details.

References elm_obj_panes_horizontal_get.

void elm_panes_horizontal_set | ( | Evas_Object * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Set how to split and dispose each content.

Parameters

  obj | The panes object.
  horizontal | Use `EINA_TRUE` to make `obj` to split panes horizontally ("top" and "bottom" contents). `EINA_FALSE` to make it vertically ("left" and "right" contents)

Use this function to change how your panes is to be disposed: vertically or horizontally. Horizontal panes have "top" and "bottom" contents, vertical panes have "left" and "right" contents.

By default panes is in a vertical mode.

See Also
  elm_panes_horizontal_get()

References elm_obj_panes_horizontal_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14